Skip to main content
PUT
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
{name}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Guardian;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.SetAsync(
            name: GuardianFactorNameEnum.PushNotification,
            request: new SetGuardianFactorRequestContent {
                Enabled = true
            }
        );
    }

}
{
  "enabled": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
enum<string>
default:sms
required

Factor name. Can be sms, push-notification, email, duo otp webauthn-roaming, webauthn-platform, or recovery-code.

Available options:
push-notification,
sms,
email,
duo,
otp,
webauthn-roaming,
webauthn-platform,
recovery-code
Minimum string length: 1

Body

enabled
boolean
required

Whether this factor is enabled (true) or disabled (false).

Response

Factor updated successfully.

enabled
boolean
required

Whether this factor is enabled (true) or disabled (false).